%define program_name dansguardian
%define program_version	2.9.8.5
%define program_release	alt1.M40.1

 
Name: %program_name
Version: %program_version
Release: %program_release
Summary: Content filter
Summary(ru_RU.KOI8-R):  WEB-
License: GPL
Url: http://www.dansguardian.org
Group: System/Servers
Packager: Avramenko Andrew <liks@altlinux.ru>
Source0: %program_name-%program_version.tar.gz

Patch0: %program_name-makefile-alt-2.9.8.1.patch
Patch1: %program_name-configure-alt-2.9.8.1.patch
Patch2: %program_name-lists-2.9.8.1.patch
Patch3: %program_name-systemv-init.in-2.9.8.5-alt.patch

BuildRequires: gcc-c++ libpcre-devel zlib-devel libclamav-devel
Requires: squid-server clamav libclamav


%description
DansGuardian is a web content filtering proxy that uses Squid to do all the fetching. 
It filters using multiple methods. These methods include URL and domain filtering, 
content phrase filtering, PICS filtering, MIME filtering, file extension filtering,
POST limiting.

%description -l ru_RU.KOI8-R
DansGuardian -  WEB ,   Squid   .
    .    
 URL   ,  ,  ,   MIME,   , 
 POST.

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3

%build
%configure  --enable-clamd \
	    --enable-clamav \
	    --enable-ntlm \
	    --with-logdir=/var/log/%name \
	    --with-proxyuser=%name \
	    --with-proxygroup=%name \
	    --with-piddir=/var/run/%name
%__make

%install 
%__make DESTDIR=%buildroot install
cd data/languages; %__make DESTDIR=%buildroot install; cd ../..
%__mkdir_p %buildroot/%_logdir/%name
%__mkdir_p %buildroot/%_initdir
%__mkdir_p %buildroot/var/run/%name
%__mkdir_p %buildroot/%_sysconfdir/logrotate.d
%__install -p -m 0755 data/scripts/systemv-init %buildroot/%_initdir/%name
%__install -p data/scripts/%name %buildroot/%_sysconfdir/logrotate.d/

%pre
%_sbindir/groupadd -r -f %name >/dev/null 2>&1
%_sbindir/useradd -r -n -g %name -d /dev/null -s /dev/null %name >/dev/null 2>&1 ||:

%preun
%preun_service %name

%post
chown %name:%name %_logdir/%name/*

%files 
%config(noreplace) %_sysconfdir/%name/*
%_sbindir/*
%_datadir/%name/*
%_man8dir/*
%attr(700,%name,%name) %dir %_logdir/%name
%attr(755,root,root) %_initdir/*
%attr(644,root,root) %_sysconfdir/logrotate.d/*
%doc README NEWS ChangeLog AUTHORS COPYING doc/AuthPlugins doc/ContentScanners doc/DownloadManagers doc/FAQ doc/FAQ.html doc/Plugins
%attr(775,%name,%name) /var/run/%name

%changelog
* Sun Mar 23 2008 Sergey Y. Afonin <asy@altlinux.ru> 2.9.8.5-alt1.M40.1
- Rebuilt due to libclamav.so soname change

* Fri Mar 30 2007 Avramenko Andrew <liks@altlinux.ru> 2.9.8.5-alt1
- New version build
- SPEC clean up
- Add user/group dansguardian
- Add clamav support (fixed troubles with -lidn)
- Add docs
- Add logrotate
- Add languages

* Mon Mar 12 2007 Avramenko Andrew <liks@altlinux.ru> 2.9.8.2-alt1
- New version build

* Wed Dec 27 2006 Avramenko Andrew <liks@altlinux.ru> 2.9.8.1-alt2
- Patch for blacklists (rambler have not to be blocked by default)

* Thu Dec 21 2006 Avramenko Andrew <liks@altlinux.ru> 2.9.8.1-alt1
- New version build
- Clamd support
- ClamAV support disabled (troubles with -lidn)
- NTLM support

* Tue Jul 18 2006 Avramenko Andrew <liks@altlinux.ru> 2.9.7.1-alt1
- New version build

* Tue May 30 2006 Avramenko Andrew <liks@altlinux.ru> 2.9.7.0-alt1
- New version build
- ClamAV support

* Sun Jan 29 2006 Avramenko Andrew <liks@altlinux.ru> 2.9.5.0-alt1
- Initial build
